## cascading.scheme
Enum TextLine.Compress

    java.lang.Object
      java.lang.Enum<TextLine.Compress>
          cascading.scheme.TextLine.Compress

All Implemented Interfaces:
  Serializable, Comparable<TextLine.Compress>

Enclosing class:
  TextLine

    public static enum TextLine.Compress

extends Enum<TextLine.Compress>

Enum Constant Summary
`DEFAULT`
`DISABLE`
`ENABLE`

Method Summary
`static TextLine.Compress` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TextLine.Compress[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final TextLine.Compress DEFAULT

### ENABLE

    public static final TextLine.Compress ENABLE

### DISABLE

    public static final TextLine.Compress DISABLE

Method Detail

### values

    public static TextLine.Compress[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TextLine.Compress c : TextLine.Compress.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TextLine.Compress valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.